Skip to main content
GET
https://partners-backend-1038109371738.europe-west1.run.app
/
api
/
v1
/
proxy
/
zerodev
/
smart-accounts
curl -X GET "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/proxy/zerodev/smart-accounts?eoa=0x742d35Cc6634C0532925a3b844Bc454e4438f44e&chain=8453&agent_id=giza-app" \
  -H "X-Partner-API-Key: your-api-key" \
  -H "X-Partner-Name: your-partner-name"
{
  "smartAccount": "0xAbC1234567890aBcDeF1234567890AbCdEf123456",
  "backendWallet": "0xDeF9876543210FeDcBa9876543210FeDcBa987654"
}
SDK Alternative: Use giza.getAgent(eoa) or giza.getSmartAccount(eoa) for a simpler TypeScript interface. See SDK docs

Description

Looks up an existing smart account for a given EOA and chain. Returns the smart account address and backend wallet. Use this to retrieve a previously created smart account without creating a new one.

Query Parameters

eoa
string
required
The user’s externally owned account (wallet) address.
chain
integer
required
Chain ID to look up the smart account on.Supported values: 1 (Ethereum), 137 (Polygon), 8453 (Base), 42161 (Arbitrum), 84532 (Base Sepolia), 11155111 (Sepolia)
agent_id
string
Agent identifier. Defaults to giza-app.

Example Request

curl -X GET "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/proxy/zerodev/smart-accounts?eoa=0x742d35Cc6634C0532925a3b844Bc454e4438f44e&chain=8453&agent_id=giza-app" \
  -H "X-Partner-API-Key: your-api-key" \
  -H "X-Partner-Name: your-partner-name"

Response

smartAccount
string
The smart account address.
backendWallet
string
The Giza backend wallet associated with this smart account.
Response Example
{
  "smartAccount": "0xAbC1234567890aBcDeF1234567890AbCdEf123456",
  "backendWallet": "0xDeF9876543210FeDcBa9876543210FeDcBa987654"
}

Error Responses

StatusDescription
401Unauthorized - invalid API key
404Smart account not found for this EOA and chain
422Validation error (invalid address format)
500Internal server error
curl -X GET "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/proxy/zerodev/smart-accounts?eoa=0x742d35Cc6634C0532925a3b844Bc454e4438f44e&chain=8453&agent_id=giza-app" \
  -H "X-Partner-API-Key: your-api-key" \
  -H "X-Partner-Name: your-partner-name"
{
  "smartAccount": "0xAbC1234567890aBcDeF1234567890AbCdEf123456",
  "backendWallet": "0xDeF9876543210FeDcBa9876543210FeDcBa987654"
}